#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <kysec/kysec_communicate.h>
#include <kysec/kysec_xml.h>

int main(int argc, char *argv[])
{
	int ret = 0;
	struct kysec_xml_kernel *xml_data = NULL;
	int count = 0;
	int i = 0;

	/* get all node data from kysec.xml */
	xml_data = kysec_xml_read_all_data(&count);
	if (count == 0 || !xml_data)
		return 0;

	//printf("count=%d\n", count);
	for (i = 0; i < count; i++)
	{
		//printf("hash=%s, type=%d\n", xml_data[i].hash, xml_data[i].type);
		ret |= kysec_netctl_communicate_with_kernel(NETCTL_INIT,
				xml_data[i].hash, xml_data[i].type);
	}
	free(xml_data);

	return ret;
}
